Skip to content

Atomic move: fractional reposition + optional value patch (kanban drop)

POST
/api/v1/workspaces/{ws}/databases/{db}/records/{rec}/move
db
required
string
rec
required
string
Media typeapplication/json
object
before_record_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
after_record_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
values
object
key
additional properties
Examplegenerated
{
"before_record_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"after_record_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"values": {
"additionalProperty": "example"
}
}